Subject: [netatalk-admins] Setting file default Umask?

From: Andrew Watts <[email-masked]>
Date: Thu, 28 May 1998 08:39:45 +1000 (EST)

Hi,

I've setup netatalk running under NetBSD 1.3 and it has been running
fine for me. I have one nagging problem however. Whenever files are 
copied over to the filesystems under NetBSD, they get a default
file permission of octal 640. The NetBSD system umask I have set is
022, and the ftp/samba copies accept this as apply it when copying.

Can someone give me a pointer as to setting the umask for files being
transferred from a Mac to a netatalk shared volume?

Thanks.

Andrew Watts                            email:     [email-masked]
Faculty of Science                      telephone:            61-2-9514-4059
University of Technology, Sydney        fax:                  61-2-9514-4003
Sydney, Australia                       url:   http://www.science.uts.edu.au